updater.sh: fix ignored errors

Closes #1810
This commit is contained in:
Sertonix 2024-04-26 15:16:54 +02:00
parent 33a84b608c
commit d77224cd4a

View file

@ -317,6 +317,8 @@ update_userjs() {
fi fi
[ "$VIEW" = true ] && open_file "${PWD}/user.js" [ "$VIEW" = true ] && open_file "${PWD}/user.js"
return 0
} }
######################### #########################
@ -388,7 +390,7 @@ if [ $# != 0 ]; then
fi fi
show_banner show_banner
update_updater "$@" update_updater "$@" || exit $?
getProfilePath # updates PROFILE_PATH or exits on error getProfilePath # updates PROFILE_PATH or exits on error
cd "$PROFILE_PATH" || exit 1 cd "$PROFILE_PATH" || exit 1
@ -402,6 +404,6 @@ you will need to change ownership of the following files to your user:\n'
exit 1 exit 1
fi fi
update_userjs update_userjs || exit $?
cd "$CURRDIR" cd "$CURRDIR"